"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Range = exports.validateWithCustomRules = exports.collectVariables = exports.Position = exports.pointToOffset = exports.offsetToPosition = exports.getVariablesJSONSchema = exports.getQueryFacts = exports.getOperationFacts = exports.getOperationASTFacts = exports.getFragmentDependenciesForAST = exports.getFragmentDependencies = exports.getASTNodeAtPosition = exports.FileChangeTypeKind = exports.CompletionItemKind = exports.opt = exports.t = exports.list = exports.p = exports.isIgnored = exports.LexRules = exports.RuleKinds = exports.CharacterStream = exports.ParseRules = exports.onlineParser = exports.validateQuery = exports.SuggestionCommand = exports.canUseDirective = exports.DIAGNOSTIC_SEVERITY = exports.SEVERITY = exports.getVariableCompletions = exports.getTypeInfo = exports.getTokenAtPosition = exports.getRange = exports.getOutline = exports.getHoverInformation = exports.getFragmentDefinitions = exports.getFieldDef = exports.getDiagnostics = exports.getDefinitionState = exports.getDefinitionQueryResultForField = exports.getDefinitionQueryResultForNamedType = exports.getDefinitionQueryResultForFragmentSpread = exports.getDefinitionQueryResultForDefinitionNode = exports.getAutocompleteSuggestions = void 0;
var interface_1 = require("./interface");
Object.defineProperty(exports, "getAutocompleteSuggestions", { enumerable: true, get: function () { return interface_1.getAutocompleteSuggestions; } });
Object.defineProperty(exports, "getDefinitionQueryResultForDefinitionNode", { enumerable: true, get: function () { return interface_1.getDefinitionQueryResultForDefinitionNode; } });
Object.defineProperty(exports, "getDefinitionQueryResultForFragmentSpread", { enumerable: true, get: function () { return interface_1.getDefinitionQueryResultForFragmentSpread; } });
Object.defineProperty(exports, "getDefinitionQueryResultForNamedType", { enumerable: true, get: function () { return interface_1.getDefinitionQueryResultForNamedType; } });
Object.defineProperty(exports, "getDefinitionQueryResultForField", { enumerable: true, get: function () { return interface_1.getDefinitionQueryResultForField; } });
Object.defineProperty(exports, "getDefinitionState", { enumerable: true, get: function () { return interface_1.getDefinitionState; } });
Object.defineProperty(exports, "getDiagnostics", { enumerable: true, get: function () { return interface_1.getDiagnostics; } });
Object.defineProperty(exports, "getFieldDef", { enumerable: true, get: function () { return interface_1.getFieldDef; } });
Object.defineProperty(exports, "getFragmentDefinitions", { enumerable: true, get: function () { return interface_1.getFragmentDefinitions; } });
Object.defineProperty(exports, "getHoverInformation", { enumerable: true, get: function () { return interface_1.getHoverInformation; } });
Object.defineProperty(exports, "getOutline", { enumerable: true, get: function () { return interface_1.getOutline; } });
Object.defineProperty(exports, "getRange", { enumerable: true, get: function () { return interface_1.getRange; } });
Object.defineProperty(exports, "getTokenAtPosition", { enumerable: true, get: function () { return interface_1.getTokenAtPosition; } });
Object.defineProperty(exports, "getTypeInfo", { enumerable: true, get: function () { return interface_1.getTypeInfo; } });
Object.defineProperty(exports, "getVariableCompletions", { enumerable: true, get: function () { return interface_1.getVariableCompletions; } });
Object.defineProperty(exports, "SEVERITY", { enumerable: true, get: function () { return interface_1.SEVERITY; } });
Object.defineProperty(exports, "DIAGNOSTIC_SEVERITY", { enumerable: true, get: function () { return interface_1.DIAGNOSTIC_SEVERITY; } });
Object.defineProperty(exports, "canUseDirective", { enumerable: true, get: function () { return interface_1.canUseDirective; } });
Object.defineProperty(exports, "SuggestionCommand", { enumerable: true, get: function () { return interface_1.SuggestionCommand; } });
Object.defineProperty(exports, "validateQuery", { enumerable: true, get: function () { return interface_1.validateQuery; } });
var parser_1 = require("./parser");
Object.defineProperty(exports, "onlineParser", { enumerable: true, get: function () { return parser_1.onlineParser; } });
Object.defineProperty(exports, "ParseRules", { enumerable: true, get: function () { return parser_1.ParseRules; } });
Object.defineProperty(exports, "CharacterStream", { enumerable: true, get: function () { return parser_1.CharacterStream; } });
Object.defineProperty(exports, "RuleKinds", { enumerable: true, get: function () { return parser_1.RuleKinds; } });
Object.defineProperty(exports, "LexRules", { enumerable: true, get: function () { return parser_1.LexRules; } });
Object.defineProperty(exports, "isIgnored", { enumerable: true, get: function () { return parser_1.isIgnored; } });
Object.defineProperty(exports, "p", { enumerable: true, get: function () { return parser_1.p; } });
Object.defineProperty(exports, "list", { enumerable: true, get: function () { return parser_1.list; } });
Object.defineProperty(exports, "t", { enumerable: true, get: function () { return parser_1.t; } });
Object.defineProperty(exports, "opt", { enumerable: true, get: function () { return parser_1.opt; } });
var types_1 = require("./types");
Object.defineProperty(exports, "CompletionItemKind", { enumerable: true, get: function () { return types_1.CompletionItemKind; } });
Object.defineProperty(exports, "FileChangeTypeKind", { enumerable: true, get: function () { return types_1.FileChangeTypeKind; } });
var utils_1 = require("./utils");
Object.defineProperty(exports, "getASTNodeAtPosition", { enumerable: true, get: function () { return utils_1.getASTNodeAtPosition; } });
Object.defineProperty(exports, "getFragmentDependencies", { enumerable: true, get: function () { return utils_1.getFragmentDependencies; } });
Object.defineProperty(exports, "getFragmentDependenciesForAST", { enumerable: true, get: function () { return utils_1.getFragmentDependenciesForAST; } });
Object.defineProperty(exports, "getOperationASTFacts", { enumerable: true, get: function () { return utils_1.getOperationASTFacts; } });
Object.defineProperty(exports, "getOperationFacts", { enumerable: true, get: function () { return utils_1.getOperationFacts; } });
Object.defineProperty(exports, "getQueryFacts", { enumerable: true, get: function () { return utils_1.getQueryFacts; } });
Object.defineProperty(exports, "getVariablesJSONSchema", { enumerable: true, get: function () { return utils_1.getVariablesJSONSchema; } });
Object.defineProperty(exports, "offsetToPosition", { enumerable: true, get: function () { return utils_1.offsetToPosition; } });
Object.defineProperty(exports, "pointToOffset", { enumerable: true, get: function () { return utils_1.pointToOffset; } });
Object.defineProperty(exports, "Position", { enumerable: true, get: function () { return utils_1.Position; } });
Object.defineProperty(exports, "collectVariables", { enumerable: true, get: function () { return utils_1.collectVariables; } });
Object.defineProperty(exports, "validateWithCustomRules", { enumerable: true, get: function () { return utils_1.validateWithCustomRules; } });
Object.defineProperty(exports, "Range", { enumerable: true, get: function () { return utils_1.Range; } });
//# sourceMappingURL=index.js.map